# Interface AutopilotApi

interface AutopilotApi {
apUpdate(
pluginId: string,
deviceId: string,
apInfo: { [path: string]: Value },
): void;
register(pluginId: string, provider: AutopilotProvider): void;
unRegister(pluginId: string): void;
}

- Defined in autopilotapi.ts:99

##### Index

### Methods

apUpdate
register
unRegister

## Methods

### apUpdate

- apUpdate(
  pluginId: string,
  deviceId: string,
  apInfo: { [path: string]: Value },
  ): void

  This method instructs the server to send deltas for the provided paths.

  Note

  Valid `apInfo` paths are defined in AutopilotUpdateAttrib `apInfo.actions` value (like `options.actions`) must contain an Array<AutopilotActionDef>

  #### Parameters

  - pluginId: string
  - deviceId: string
  - apInfo: { [path: string]: Value }

  #### Returns void

  #### Example

      apUpdate({
       'mode': 'gps',
       'actions': [{id: 'tack', name: 'Tack', available: true}]
      });

  - Defined in autopilotapi.ts:119

### register

- register(pluginId: string, provider: AutopilotProvider): void

  #### Parameters

  - pluginId: string
  - provider: AutopilotProvider

  #### Returns void

  - Defined in autopilotapi.ts:100

### unRegister

- unRegister(pluginId: string): void

  #### Parameters

  - pluginId: string

  #### Returns void

  - Defined in autopilotapi.ts:101